%define lib_major 1
%define lib_name %{name}%{lib_major}
Summary:	The LibGTop library
Name:     	libgtop
Version: 	1.0.12
Release:	3mdk
License:	GPL
Group:		System/Libraries
BuildRequires:	bc gnome-libs-devel zlib-devel
Source: 	ftp://ftp.gnome.org/pub/GNOME/stable/sources/%{name}/%{name}-%{version}.tar.bz2
URL:		http://www.gnome.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
A library that fetches information about the running system such as CPU
and memory useage, active processes and more.

On Linux systems, this information is taken directly from the /proc
filesystem while on other systems a server is used to read that
information from other /dev/kmem, among others.

%package -n %{lib_name}
Summary: Main library for %{name} 
Group: System/Libraries
Obsoletes: libgtop

%description -n %{lib_name}
A library that fetches information about the running system such as CPU
and memory useage, active processes and more.

On Linux systems, this information is taken directly from the /proc
filesystem while on other systems a server is used to read that
information from other /dev/kmem, among others.

%package -n %{lib_name}-devel
Summary: Includes and other files to develop %{name} applications.
Group: Development/GNOME and GTK+
Requires: %{lib_name} = %{version}
Provides: %{name}-devel

%description -n %{lib_name}-devel
Install this package if you wish to develop applications that access
information on system statistics such as CPU and memory usage.

%prep
%setup -q

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name}
%{__install_info} %{_infodir}/%{name}.info.bz2 %{_infodir}/dir --section="Miscellaneous" --entry="* libgtop: (libgtop).                           libgtop API."
/sbin/ldconfig

%preun -n %{lib_name}
%{__install_info} --delete %{_infodir}/%{name}.info.bz2 %{_infodir}/dir --section="Miscellaneous" --entry="* libgtop: (libgtop).                           libgtop API."

%postun -n %{lib_name} -p /sbin/ldconfig

%files -n %{lib_name} -f %{name}.lang
%defattr(-, root, root)
%doc RELNOTES-0.25 RELNOTES-1.0 AUTHORS ChangeLog NEWS README
%doc copyright.txt
%doc src/inodedb/README.inodedb
%{_infodir}/*
%{_libdir}/lib*.so.*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%doc RELNOTES-0.25 RELNOTES-1.0 AUTHORS ChangeLog NEWS README
%doc copyright.txt
%doc src/inodedb/README.inodedb
%{_bindir}/libgtop_daemon
%{_bindir}/libgtop-config
%{_libdir}/lib*.so
%{_libdir}/*a
%{_libdir}/*.sh
%{_libdir}/*.def
%{_includedir}/*

%changelog
* Mon Mar 26 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.12-3mdk
- Correct installation of info files

* Thu Mar  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.12-2mdk
- Recompiled against latest glib/gtk

* Wed Feb 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.12-1mdk
- Release 1.0.12

* Fri Jan 12 2001 David BAUDENS <baudens@mandrakesoft.com> 1.0.9-7mdk
- BuildRequires: bc
- s/Copyright/License

* Tue Nov 28 2000 dam's <damien@mandrakesoft.com> 1.0.9-6mdk
- new lib policy
- added install_info
- moved libgtop_daemon to devel

* Thu Sep  7 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.9-5mdk
- Use find_lang macro

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.9-4mdk
- automatically added BuildRequires

* Tue Jul 25 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.9-3mdk
- More BM
- libgtop-bin is now in devel

* Fri Jul 21 2000 dam's <damien@mandrakesoft.com> 1.0.9-2mdk
- BM

* Tue Jun 27 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-1mdk
- new release
- fix URL
- remove debug info from compilation step (anyway, they were stripped by
  spechelper)
- RPM chmouelization (%%makeinstall, %%configure, %%{_*dir})

* Mon Apr 3 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.7-0.1mdk
- bzipped source 
- include helix stuffs

* Fri Mar 31 2000 Axalon Bloodstone <axalon@mandrakesoft.com> 1.0.7-0.1mdk_helix_1
- generaly make rpmlint happy, and build for curr glibc 
